Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Protected Attributes | List of all members
BaseBackup Class Reference

Class that encapsulates a backup. More...

`#include <OpenFlipper/common/BaseBackup.hh>`

Inheritance diagram for BaseBackup:

## Public Member Functions
| BaseBackup (QString _name)
| BaseBackup (BaseObjectData *_object, QString _name, UpdateType _type)
| constructor More...
virtual void | apply ()
| Revert this backup. More...
QString | name ()
| Get the backups name) More...
void | setLinks (IdList _objectIDs)
| Set links to corresponding backups. More...
int | id ()
| get id of this backup More...
bool | blocked ()
| Returns if this backup is blocked. More...

## Protected Attributes
std::vector< std::pair < QString, PerObjectData * > > | objectDatas_
| Backup of the perObjectData objects.
BaseObjectData * | object_
QString | name_
IdList | links_
int | id_

## Detailed Description

Class that encapsulates a backup.

Definition at line 62 of file BaseBackup.hh.

## Constructor & Destructor Documentation

BaseBackup::BaseBackup | ( | BaseObjectData * | _object,
|  | QString | _name,
|  | UpdateType | _type
| ) |  |

constructor

Parameters

  _object | Pointer to the object, this backup will belong to
  _name | Name of the object
  _type | Type of change which can be used to create more specific backups (e.g. selection only)

Definition at line 65 of file BaseBackup.cc.

## Member Function Documentation

void BaseBackup::apply | ( |  | ) |
| virtual

Revert this backup.

This function has to be implemented. It will be called when the backup should be restored.

Note
  You have to call the BaseBackup::apply() first in your implementation of this function.

You have to restore your backup to the corresponding object when this function gets called.

Reimplemented in SplatCloudBackup, BSplineCurveBackup, PolyMeshBackup, SkeletonBackup, TriMeshBackup, and GroupBackup.

Definition at line 101 of file BaseBackup.cc.

bool BaseBackup::blocked | ( |  | ) |

Returns if this backup is blocked.

When Backups are grouped together, they can not be reversed o their own but oly together with the others in that backup group. This flag indicates, that the backup is part of a group and can not be reversed on its own.

Definition at line 156 of file BaseBackup.cc.

int BaseBackup::id | ( |  | ) |

get id of this backup

Automatically generated id for this backup.

Definition at line 150 of file BaseBackup.cc.

QString BaseBackup::name | ( | void |  | ) |

Get the backups name)

Definition at line 144 of file BaseBackup.cc.

void BaseBackup::setLinks | ( | IdList | _objectIDs | ) |

Set links to corresponding backups.

Backups can be grouped together. The backups store the links to their group members via this function.

Definition at line 162 of file BaseBackup.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/common/BaseBackup.hh
- OpenFlipper/common/BaseBackup.cc